Bug 1253371 - [abrt] bash: xfree(): bash killed by SIGABRT
[abrt] bash: xfree(): bash killed by SIGABRT
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Oprala
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a0f42ac10e23ca433d7ff74892e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 10:55 EDT by Solomon Peachy
Modified: 2016-01-31 21:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-18 04:29:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.91 KB, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: core_backtrace (5.36 KB, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: dso_list (755 bytes, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: environ (1.98 KB, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: maps (3.46 KB, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: mountinfo (3.99 KB, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: open_fds (235 bytes, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: proc_pid_status (980 bytes, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details
File: var_log_messages (281 bytes, text/plain)
2015-08-13 10:55 EDT, Solomon Peachy
no flags Details

  None (edit)
Description Solomon Peachy 2015-08-13 10:55:04 EDT
Description of problem:
I started typing on a shell that had been idle for a while

Version-Release number of selected component:
bash-4.3.39-6.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        bash
crash_function: xfree
executable:     /usr/bin/bash
global_pid:     15517
kernel:         4.0.8-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 xfree at xmalloc.c:148
 #7 _rl_free_match_list at complete.c:1907
 #8 rl_complete_internal at complete.c:2063
 #9 bash_specific_completion at bashline.c:3671
 #10 bash_glob_completion_internal at bashline.c:3605
 #11 _rl_dispatch_subseq at readline.c:879
 #13 _rl_dispatch at readline.c:822
 #14 readline_internal_char at readline.c:649
 #15 readline_internal_charloop at readline.c:676
 #16 readline_internal at readline.c:690

Potential duplicate: bug 1184925
Comment 1 Solomon Peachy 2015-08-13 10:55:07 EDT
Created attachment 1062658 [details]
File: backtrace
Comment 2 Solomon Peachy 2015-08-13 10:55:08 EDT
Created attachment 1062659 [details]
File: cgroup
Comment 3 Solomon Peachy 2015-08-13 10:55:09 EDT
Created attachment 1062660 [details]
File: core_backtrace
Comment 4 Solomon Peachy 2015-08-13 10:55:10 EDT
Created attachment 1062661 [details]
File: dso_list
Comment 5 Solomon Peachy 2015-08-13 10:55:10 EDT
Created attachment 1062662 [details]
File: environ
Comment 6 Solomon Peachy 2015-08-13 10:55:11 EDT
Created attachment 1062663 [details]
File: limits
Comment 7 Solomon Peachy 2015-08-13 10:55:12 EDT
Created attachment 1062664 [details]
File: maps
Comment 8 Solomon Peachy 2015-08-13 10:55:13 EDT
Created attachment 1062665 [details]
File: mountinfo
Comment 9 Solomon Peachy 2015-08-13 10:55:13 EDT
Created attachment 1062666 [details]
File: namespaces
Comment 10 Solomon Peachy 2015-08-13 10:55:14 EDT
Created attachment 1062667 [details]
File: open_fds
Comment 11 Solomon Peachy 2015-08-13 10:55:15 EDT
Created attachment 1062668 [details]
File: proc_pid_status
Comment 12 Solomon Peachy 2015-08-13 10:55:15 EDT
Created attachment 1062669 [details]
File: var_log_messages
Comment 13 Ondrej Oprala 2015-08-18 04:29:31 EDT
Looking at the /var/log tail, there was no coredump..and the data from ABRT gives no clue as to why this happened. I'll close this for now, feel free to reopen, if you come across a reliable reproducer or a core file.

Note You need to log in before you can comment on or make changes to this bug.